/*
 * PieDataset.java
 *
 * Created on 15 agosto 2005, 17.49
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;
import java.util.*;
/**
 *
 * @author Administrator
 */
public class XYDataset extends Dataset {
    
    private Vector categorySeries = null;
        
    /** Creates a new instance of PieDataset */
    public XYDataset() {
        super();
        setXYSeries(new Vector());
    }   

    public Vector getXYSeries() {
        return categorySeries;
    }

    public void setXYSeries(Vector categorySeries) {
        this.categorySeries = categorySeries;
    }

    
    public Dataset cloneMe()
    {
        XYDataset obj = new XYDataset();
        copyBaseDataset(obj);
        
        for (int i=0; i<getXYSeries().size(); ++i)
        {
            obj.getXYSeries().addElement( ((XYSeries)getXYSeries().elementAt(i)).cloneMe() );
        }

        return obj;
    }
}
